/*
 * Copyright (c) 2006, John Mettraux, OpenWFE.org
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions are met:
 * 
 * . Redistributions of source code must retain the above copyright notice, this
 *   list of conditions and the following disclaimer.  
 * 
 * . Redistributions in binary form must reproduce the above copyright notice, 
 *   this list of conditions and the following disclaimer in the documentation 
 *   and/or other materials provided with the distribution.
 * 
 * . Neither the name of the "OpenWFE" nor the names of its contributors may be
 *   used to endorse or promote products derived from this software without
 *   specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE 
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE 
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: Definitions.java 2990 2006-08-06 20:23:49Z jmettraux $
 */

//
// Content.java
//
// john.mettraux@openwfe.org
//
// generated with 
// jtmpl 1.1.01 2004/05/19 (john.mettraux@openwfe.org)
//

package openwfe.org.syndication;

import openwfe.org.Utils;


/**
 * Some text (is fit for description, description, summary, ...)
 *
 * <p><font size=2>CVS Info :
 * <br>$Author$
 * <br>$Id$ </font>
 *
 * @author john.mettraux@openwfe.org
 */
public class Content
{

    private final static org.apache.log4j.Logger log = org.apache.log4j.Logger
        .getLogger(Content.class.getName());

    //
    // CONSTANTS & co

    //
    // FIELDS

    private String type = null;
    private Object value = null;

    //
    // CONSTRUCTORS

    public Content ()
    {
        super();
    }

    /**
     * builds a text instance with the default type ('text' for atom for 
     * example) and the given value.
     */
    public Content (final String value)
    {
        super();

        //this.type = null;
        this.value = value;
    }

    //
    // GETTERS and SETTERS

    public String getType () { return this.type; }
    public Object getValue () { return this.value; }

    public void setType (final String s) { this.type = s; }
    public void setValue (final Object o) { this.value = o; }

    //
    // METHODS

    public int hashCode ()
    {
        int i = this.value.hashCode();

        if (this.type != null)
            i += this.type.hashCode();

        return i;
    }

    public boolean equals (final Object o)
    {
        if (o == null) return false;

        if ( ! (o instanceof Content)) return false;

        final Content other = (Content)o;

        /*
        log.debug("equals() type ? "+Utils.equals(this.type, other.type));
        */
        log.debug("equals() value ? "+Utils.nequals(this.value, other.value));

        log.debug("equals() >"+this.value+"< != >"+other.value+"<");

        /*
        return 
            (Utils.equals(this.value, other.value) &&
             Utils.nequals(this.type, other.type));
         */

        //return Utils.equals(this.value, other.value);
        return Utils.toStringEquals(this.value, other.value);
    }

    //
    // STATIC METHODS

}
