/*
 * Copyright (c) 2006, John Mettraux, OpenWFE.org
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions are met:
 * 
 * . Redistributions of source code must retain the above copyright notice, this
 *   list of conditions and the following disclaimer.  
 * 
 * . Redistributions in binary form must reproduce the above copyright notice, 
 *   this list of conditions and the following disclaimer in the documentation 
 *   and/or other materials provided with the distribution.
 * 
 * . Neither the name of the "OpenWFE" nor the names of its contributors may be
 *   used to endorse or promote products derived from this software without
 *   specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE 
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE 
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: Definitions.java 2990 2006-08-06 20:23:49Z jmettraux $
 */

//
// Entry.java
//
// john.mettraux@openwfe.org
//
// generated with 
// jtmpl 1.1.01 2004/05/19 (john.mettraux@openwfe.org)
//

package openwfe.org.syndication;

import openwfe.org.Utils;


/**
 * An entry in a syndication feed.
 *
 * <p><font size=2>CVS Info :
 * <br>$Author$
 * <br>$Id$ </font>
 *
 * @author john.mettraux@openwfe.org
 */
public class Entry

    extends SyndObject

{

    /*
    private final static org.apache.log4j.Logger log = org.apache.log4j.Logger
        .getLogger(Entry.class.getName());
    */

    //
    // CONSTANTS & co

    //
    // FIELDS

    private Content description = null;
    private java.util.List contents = null;

    //
    // CONSTRUCTORS

    public Entry ()
    {
        super();

        this.contents = new java.util.LinkedList();
    }

    //
    // GETTERS and SETTERS

    public Content getDescription () { return this.description; }
    public java.util.List getContents () { return this.contents; }

    public void setDescription (final Content c) { this.description = c; }
    public void setContents (final java.util.List l) { this.contents = l; }

    //
    // METHODS

    /**
     * Sets the description, directly with a String.
     */
    public void setDescription (final String s)
    {
        this.description = new Content(s);
    }

    public int hashCode ()
    {
        int i = this.getId().hashCode() * 100;

        if (this.getUpdated() == null)
            i = i * (-1);
        else
            i += this.getUpdated().hashCode() * 10;

        if (this.getDescription() == null)
            i += -1;
        else
            i += this.getDescription().hashCode();

        return i;
    }

    public boolean equals (final Object o)
    {
        if (o == null) return false;

        if ( ! (o instanceof Entry)) return false;

        final Entry other = (Entry)o;

        if ( ! this.soEquals(other)) return false;

        // description

        if ( ! Utils.nequals(this.description, other.description)) return false;

        // contents

        return Utils.listEquals(this.contents, other.contents);
    }

    //
    // STATIC METHODS

}
