/*
 * Copyright (c) 2006, John Mettraux, OpenWFE.org
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions are met:
 * 
 * . Redistributions of source code must retain the above copyright notice, this
 *   list of conditions and the following disclaimer.  
 * 
 * . Redistributions in binary form must reproduce the above copyright notice, 
 *   this list of conditions and the following disclaimer in the documentation 
 *   and/or other materials provided with the distribution.
 * 
 * . Neither the name of the "OpenWFE" nor the names of its contributors may be
 *   used to endorse or promote products derived from this software without
 *   specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE 
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE 
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: Definitions.java 2990 2006-08-06 20:23:49Z jmettraux $
 */

//
// Person.java
//
// john.mettraux@openwfe.org
//
// generated with 
// jtmpl 1.1.01 2004/05/19 (john.mettraux@openwfe.org)
//

package openwfe.org.syndication;

import openwfe.org.Utils;


/**
 * An author, a contributor, ...
 *
 * <p><font size=2>CVS Info :
 * <br>$Person$
 * <br>$Id$ </font>
 *
 * @author john.mettraux@openwfe.org
 */
public class Person
{

    /*
    private final static org.apache.log4j.Logger log = org.apache.log4j.Logger
        .getLogger(Person.class.getName());
    */

    //
    // CONSTANTS & co

    //
    // FIELDS

    private String name = null;
    private String uri = null;

    //
    // CONSTRUCTORS

    public Person ()
    {
        super();
    }

    public Person (final String name)
    {
        super();

        this.name = name;
    }

    public Person (final String name, final String uri)
    {
        super();

        this.name = name;
        this.uri = uri;
    }

    //
    // GETTERS and SETTERS

    public String getName () { return this.name; }
    public String getUri () { return this.uri; }

    public void setName (final String s) { this.name = s; }
    public void setUri (final String s) { this.uri = s; }

    //
    // METHODS

    public int hashCode ()
    {
        return (this.name + this.uri).hashCode();
    }

    public boolean equals (final Object o)
    {
        if (o == null) return false;

        if ( ! (o instanceof Person)) return false;

        final Person other = (Person)o;

        return 
            (Utils.equals(this.name, other.name) &&
             Utils.nequals(this.uri, other.uri));
    }

    //
    // STATIC METHODS

}
